summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2018-09-16 12:14:27 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2018-09-16 12:22:56 +0200
commitfdfe44a19a1d1f55f5adf816b87817f67acf137d (patch)
treec83b3b42035685cb14e659c26da91b0f0cf30e0c /www-apps
parentnet-misc/teamviewer: Drop old (diff)
downloadgentoo-fdfe44a19a1d1f55f5adf816b87817f67acf137d.tar.gz
gentoo-fdfe44a19a1d1f55f5adf816b87817f67acf137d.tar.bz2
gentoo-fdfe44a19a1d1f55f5adf816b87817f67acf137d.zip
www-apps/nextcloud: 14.0.0 bump
Closes: https://bugs.gentoo.org/666132 Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/nextcloud/Manifest1
-rw-r--r--www-apps/nextcloud/nextcloud-14.0.0.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/www-apps/nextcloud/Manifest b/www-apps/nextcloud/Manifest
index 9547afc6990..2e6739f8e9a 100644
--- a/www-apps/nextcloud/Manifest
+++ b/www-apps/nextcloud/Manifest
@@ -2,3 +2,4 @@ DIST nextcloud-12.0.10.tar.bz2 45114548 BLAKE2B e993c617d27fea12ba95e4fa365c02ae
DIST nextcloud-12.0.11.tar.bz2 45123785 BLAKE2B 3d1f9131ff89d348dd18c0f7de284b13563177b388729e6049909fa1be3ae3ccdd03a85094869a872e4eb18e210a7ef406b0813e2ec5a1804aaecd9df4cf770d SHA512 885daa98ce602c6b59adaf66eb2e10ac6f5c5b2a607b5ebb80b82ee08256fd77d12aa1dee4db463d42abdd169e4acad14ee793cdfbcfa5b466f25ca3fb6ffa79
DIST nextcloud-13.0.5.tar.bz2 44792418 BLAKE2B 0582b36a078ccea7a2b482e8be213f0102fff2d60f0b92736d7c488498cf8ae4b75ea6a9e5c14cd0d71f2b3ad9d0ff9b6a2fba7b809bcc89e2287c7801e26a49 SHA512 5456f95d3835e0c9fcf015453e1f6e75ba6f5c0266d8951596fad7d3bf06230199a22e5869bc616581410db0ed831a5cdec123a9d2955898a837614a2bfff32c
DIST nextcloud-13.0.6.tar.bz2 44769940 BLAKE2B e9c227d64a23dbd677326f528cc268842403c6d51514e8b0d5d446ca5e91fd49910777b6cc7d7bbf0e7f6e1c422fed390cd38506edde019dc5a1955d94757102 SHA512 cbecd5dc98c96f28cbefe6b25e51f4be4583004841eb38d32a3261ed01f906590e16053dd7d8e31589a2288eafd368a47e280d511ee8c994886b4ea892f535ff
+DIST nextcloud-14.0.0.tar.bz2 49762528 BLAKE2B 4c5bbddda0d93504b3530ac0a69511b66faba5d64014a372cd411b9807ca931de484f0db74823534fe97ad5beee25d8c3a0eb001e25a208983b7f13545bd1af4 SHA512 8028f46a6b45834f411ff0942dfc41b72d41d356d01136c74c82fabe1247cd5e62e3b57a298b706a02eb27fabc03790a6ec6a8618b70f2016ae756cf8b523014
diff --git a/www-apps/nextcloud/nextcloud-14.0.0.ebuild b/www-apps/nextcloud/nextcloud-14.0.0.ebuild
new file mode 100644
index 00000000000..92163a886de
--- /dev/null
+++ b/www-apps/nextcloud/nextcloud-14.0.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Personal cloud that runs on your own server"
+HOMEPAGE="http://nextcloud.com"
+SRC_URI="http://download.nextcloud.com/server/releases/${P}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,truetype,xmlreader,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}